Subject: Re: Windows API calls that don't work? (Was RE: Stupid stupid question :/)
From: [email-masked] ("A. Phillip Smith")

24 Mar 1997 15:03:37 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Fergus Henderson)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Fergus Henderson" at Mar 24, 97 08:19:14 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

> 
> Fergus Henderson wrote:
> 
> In my experience executables that are not stripped at all work fine.
> My experience was that building with the `-s' option on either Windows
> 95 or NT produced executables that would not run on NT.  There is a
> difference between using the `-s' link option and using strip after
> linking; in my experience the latter worked on NT, while the former
> didn't.
> 
> -- 

I never use the '-s' option, or strip before linking. I've built over
two dozen stand alone GUI applications and example programs from the SDK and
seen the same behavior. The NT versions never run unstripped, and Win95
always runs strippped or unstripped. This is with cygwin, and not mingw,
which I understand does not exhibit this behaviour.

Phil Smith
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".